---
version: "3.3"
services:

  frontend:
    image: guestinfofrontend
    build: .
    ports:
      - 10320:80
    networks:
      - backend-network

  backend:
    image: registry.gitlab.com/librefoodpantry/client-solutions/theas-pantry/\
      guestinfosystem/guestinfobackend:1.1.3
    # yamllint disable-line rule:line-length
    ports:
      - 10350:10350
    environment:
      HOST_BASE_URL: http://localhost:10350
      MONGO_URI: mongodb://backend-database
      RABBITMQ_URL: amqp://rabbitmq
      TIME_OUT: 20000
    networks:
      - backend-network
    depends_on:
      - backend-database
      - rabbitmq

  backend-database:
    image: mongo:4
    networks:
      - backend-network

  rabbitmq:
    image: 'rabbitmq:3.6-management-alpine'
    ports:
      # The standard AMQP protocol port
      - '5672:5672'
      # HTTP management UI
      - '15672:15672'
    environment:
      # The location of the RabbitMQ server.  "amqp" is the protocol;
      # "rabbitmq" is the hostname.  Note that there is not a guarantee
      # that the server will start first!  Telling the pika client library
      # to try multiple times gets around this ordering issue.
      AMQP_URL: 'amqp://rabbitmq?connection_attempts=5&retry_delay=5'
      RABBITMQ_DEFAULT_USER: "guest"
      RABBITMQ_DEFAULT_PASS: "guest"
    networks:
      - backend-network

networks:
  backend-network:
